# ShowPartyExpBarPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class ShowPartyExpBarPhase

#### Hierarchy (View Summary)

- PlayerPartyMemberPokemonPhase
  - ShowPartyExpBarPhase

- Defined in src/phases/show-party-exp-bar-phase.ts:10

##### Index

### Constructors

constructor

### Properties

fieldIndex
partyMemberIndex
player

### Methods

end
executeForAll
getParty
getPlayerPokemon
getPokemon
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new ShowPartyExpBarPhase(
  partyMemberIndex: number,
  expValue: number,
  ): ShowPartyExpBarPhase

  #### Parameters

  - partyMemberIndex: number
  - expValue: number

  #### Returns ShowPartyExpBarPhase

  Overrides PlayerPartyMemberPokemonPhase.constructor

  - Defined in src/phases/show-party-exp-bar-phase.ts:13

## Properties

### `Protected` fieldIndex

fieldIndex: number

Inherited from PlayerPartyMemberPokemonPhase.fieldIndex

- Defined in src/phases/party-member-pokemon-phase.ts:7

### `Protected` partyMemberIndex

partyMemberIndex: number

Inherited from PlayerPartyMemberPokemonPhase.partyMemberIndex

- Defined in src/phases/party-member-pokemon-phase.ts:6

### `Protected` player

player: boolean

Inherited from PlayerPartyMemberPokemonPhase.player

- Defined in src/phases/party-member-pokemon-phase.ts:8

## Methods

### end

- end(): void

  #### Returns void

  Inherited from PlayerPartyMemberPokemonPhase.end

  - Defined in src/phase.ts:6

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PlayerPartyMemberPokemonPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### getParty

- getParty(): default []

  #### Returns default []

  Inherited from PlayerPartyMemberPokemonPhase.getParty

  - Defined in src/phases/party-member-pokemon-phase.ts:18

### getPlayerPokemon

- getPlayerPokemon(): PlayerPokemon

  #### Returns PlayerPokemon

  Inherited from PlayerPartyMemberPokemonPhase.getPlayerPokemon

  - Defined in src/phases/player-party-member-pokemon-phase.ts:9

### getPokemon

- getPokemon(): default

  #### Returns default

  Inherited from PlayerPartyMemberPokemonPhase.getPokemon

  - Defined in src/phases/party-member-pokemon-phase.ts:22

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from PlayerPartyMemberPokemonPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PlayerPartyMemberPokemonPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides PlayerPartyMemberPokemonPhase.start

  - Defined in src/phases/show-party-exp-bar-phase.ts:19